NewStart CGSL CORE 5.04 / MAIN 5.04:nss 多个漏洞 (NS-SA-2019-0033)

medium Nessus 插件 ID 127200

语言:

简介

远程机器受到多个漏洞影响。

描述

运行版本 CORE 5.04 / MAIN 5.04 的远程 NewStart CGSL 主机安装有受多个漏洞影响的 nss 程序包:- 发现在 NSS 响应使用全零随机 ServerHello 的 SSLv2-compatible ClientHello 方式中存在缺陷。中间人攻击者可在被动重放攻击中利用此缺陷。(CVE-2018-12384) - Mozilla 网络安全服务 (NSS) 的 TLS 实现在处理格式错误的 CBC 填充期间,未正确考虑对不符合要求的 MAC 检查要求的时序边信道攻击,允许远程攻击者通过构建程序包的时序数据统计分析来发动区分攻击以及纯文本恢复攻击,这是与 CVE-2013-0169 相关的问题。(CVE-2013-1620) - 3.15.2 之前的 Mozilla 网络安全服务 (NSS) 未确保在读取操作前初始化数据结构,允许远程攻击者通过触发解密失败的向量造成拒绝服务或产生其他不明影响。(CVE-2013-1739) - 在 NSS 中实施 TLS False Start 的方式中发现缺陷。攻击者可利用此缺陷从服务器返回未加密的信息。(CVE-2013-1740) - 在 3.15.3 之前的 Mozilla 网络安全服务 (NSS) 3.15 中的整数溢出,允许远程攻击者通过较大值造成拒绝服务,或可能产生其他不明影响。(CVE-2013-1741) - 在 3.14.5 之前的 3.14 和 3.15.3 之前的 3.15 的 Mozilla 网络安全服务 (NSS) 允许远程攻击者通过无效握手数据包造成拒绝服务或可能有其他不明影响。(CVE-2013-5605) - 在 3.15.3 之前的 Mozilla 网络安全服务 (NSS) 3.15 中,当 CERTVerifyLog 参数有效时,lib/certhigh/certvfy.c 的 CERT_VerifyCert 函数提供不兼容的 key-usage 证书的意外返回值,可允许远程攻击者通过构造的证书绕过预期访问限制。(CVE-2013-5606) 请注意,Nessus 并未针对此问题进行测试,而仅依赖应用程序自我报告的版本号。

解决方案

升级易受攻击的 CGSL nss 程序包。请注意,可能尚无可用的已更新程序包。请联系 ZTE 获取更多信息。

另见

http://security.gd-linux.com/notice/NS-SA-2019-0033

插件详情

严重性: Medium

ID: 127200

文件名: newstart_cgsl_NS-SA-2019-0033_nss.nasl

版本: 1.5

类型: local

发布时间: 2019/8/12

最近更新时间: 2022/5/19

风险信息

VPR

风险因素: Medium

分数: 5.8

CVSS v2

风险因素: High

基本分数: 7.5

时间分数: 5.5

矢量: AV:N/AC:L/Au:N/C:P/I:P/A:P

时间矢量: E:U/RL:OF/RC:C

CVSS 分数来源: CVE-2013-5605

CVSS v3

风险因素: Medium

基本分数: 5.9

时间分数: 5.2

矢量: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N

时间矢量: E:U/RL:O/RC:C

CVSS 分数来源: CVE-2018-12384

漏洞信息

必需的 KB 项: Host/local_checks_enabled, Host/ZTE-CGSL/release, Host/ZTE-CGSL/rpm-list, Host/cpu

易利用性: No known exploits are available

补丁发布日期: 2019/7/17

漏洞发布日期: 2013/2/8

参考资料信息

CVE: CVE-2013-1620, CVE-2013-1739, CVE-2013-1740, CVE-2013-1741, CVE-2013-5605, CVE-2013-5606, CVE-2018-12384